gromox-compress(8)

Name
gromox-compress — Utility to recompress Gromox content files

Synopsis
gromox-compress --cid {directory|file...}

Description
gromox-compress compresses content files (attachments, bodytext) in an existing mailbox after the fact. This utility is useful because the "exmdb_file_compression" config directive only controls compression in the groupware servers for newly created content files.

Options

--cid
    Treat all arguments given on the command-line as CID directories, and process them appropriately.

-n  Dry run. In essence, this only builds the file lists and runs no compressors.

-z level
    Compression level to use. Defaults to 6.

Examples
Compress some:

    gromox-compress --cid /var/lib/gromox/user/0/1/cid
    /var/lib/gromox/user/0/2/cid

Or string that further to compress cid directories of all mailboxes:

    find /var/lib/gromox/{user,domain} -type d -name cid -exec gromox-compress
    --cid {} +

Formats

•   cid/[0-9]+: content file, with proptag-dependent header and trailer

•   cid/[0-9]+.v1z: content file, with proptag-dependent header and trailer, compressed

•   cid/[0-9]+.zst: content file, headerless, compressed

See also
gromox(7), exmdb_provider(4gx)